Description

Currently the citation do not include the complete citation. There is not enough information so for people to find the dataset. The ESA
has a complete citation. We can edit the skin config files to have the citation be complete but there may be some steps that need to
be taken regarding using the lisd (Life Science ID).

Here is what has been testing on test servers.

Files that are edited to update the citation information

tomcat5/webapps/knb/WEB-INF/

The skins need to be listed in the metacat.properties file
skinconfigfiles=esa,knb,nrs,obfs,sanparks,nceas

and the skin.configs directory for each skin needs to include the parameters.

Here is an example:
tomcat5/webapps/knb/WEB-INF/skin.configs/knb/knb.properties

contents of knb.properties:
Isidauthority=knb.ecoinformatics.org
registryurl=http://knb.ecoinformatics.org
registryname=KNB Data Registry

eml-identifier.xsl looks to see if the skin has these parameters.

Note the default skin will not be part of the citation update, but it may need to be addressed in some of the documentation for
Metacat setup.

Related issues:
Has duplicate Metacat - Bug #3059: EML citation section should include both o... Resolved 01/10/2008

History

#1 - 11/02/2007 02:44 PM - Callie Bowdish

Citations have been updated to include the Registry Name, data package LSID, and a URL that gives the full path to the data package. These are
included when using the skins that are set to use them.

Shaun W. plans to check if there is a better way to store the parameter information for when to apply the citation information in the skin.

#2 - 06/04/2008 10:24 AM - Callie Bowdish

The citation for data packages on different Metacat servers than the knb.ecoinformatics.org one do not have the correct text for the direct id link.
As an example the SANParks server citation for nikkis.34.16 contains the text for a path to the knb server. The link underneath the text,

http://dataknp.sanparks.org/sanparks/metacat?action=read&qgformat=sanparks&docid=nikkis.34.16, goes to the SANParks server but if this text is
referenced elsewhere the citation path is not for the same metacat server. If replication is not in use the knb location will not have the data package.

.. Andover Vegetation Surveys.
KNB Data Registry: urn:lsid:knb.ecoinformatics.org:nikkis:34:16 (http://knb.ecoinformatics.org/knb/metacat/nikkis.34.16/sanparks).

#3 - 08/27/2008 05:03 PM - ben leinfelder
http://dataknp.sanparks.org/sanparks/metacat?action=read&qformat=sanparks&docid=nikkis.34.16
http://knb.ecoinformatics.org/knb/metacat/nikkis.34.16/sanparks

only ESA skin should have LSID shown now.
see duplicate bug #3059 for more information.

e This bug has been marked as a duplicate of bug 3059 ***

#4 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2981
https://projects.ecoinformatics.org/ecoinfo/issues/3059
http://www.tcpdf.org

